Get Customer
curl --request GET \
--url https://api.daya.co/v1/customers/{id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/customers/{id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "650e8400-e29b-41d4-a716-446655440000",
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"is_verified": false,
"tier_1_kyc_complete": false,
"tier_2_kyc_complete": false,
"capabilities": [
{ "name": "base", "status": "pending" }
],
"paystack_funding_account_readiness": {
"status": "REQUIRES_INFORMATION",
"missing_fields": [
"bank_account.account_number",
"bank_account.bank_code"
]
},
"rejection_reasons": [],
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
Customers
Get Customer
Retrieve a single customer by ID
GET
/
v1
/
customers
/
{id}
Get Customer
Overview
Retrieve details for a specific customer belonging to the authenticated merchant.Authentication
string
required
Your merchant API key
Path Parameters
string
required
Customer ID (UUID)Example:
650e8400-e29b-41d4-a716-446655440000Request Example
curl --request GET \
--url https://api.daya.co/v1/customers/650e8400-e29b-41d4-a716-446655440000 \
--header 'X-Api-Key: YOUR_API_KEY'
Response
string
required
Unique customer identifier (UUID)
string
required
Customer email address
string
Customer first name
string
Customer last name
boolean
Whether the customer has passed verification.
boolean
Whether tier 1 KYC has been completed.
boolean
Whether tier 2 KYC has been completed.
array
object
Whether the customer can receive a Paystack instruction for a permanent NGN funding account.
array
Current blocking verification or capability issues. Empty array when the customer is approved.
string
required
When the customer was created (ISO 8601 timestamp)
string
required
When the customer was last updated (ISO 8601 timestamp)
Success Response
{
"id": "650e8400-e29b-41d4-a716-446655440000",
"email": "customer@example.com",
"first_name": "John",
"last_name": "Doe",
"is_verified": false,
"tier_1_kyc_complete": false,
"tier_2_kyc_complete": false,
"capabilities": [
{ "name": "base", "status": "pending" }
],
"paystack_funding_account_readiness": {
"status": "REQUIRES_INFORMATION",
"missing_fields": [
"bank_account.account_number",
"bank_account.bank_code"
]
},
"rejection_reasons": [],
"created_at": "2026-01-05T15:04:05Z",
"updated_at": "2026-01-05T15:04:05Z"
}
Error Responses
{
"error": {
"code": "BAD_REQUEST",
"message": "Invalid UUID format",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Customer not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}